
;;
;; Cvicny pgm pro obsluhu DCL
;;
(defun c:ukaz ()
;;
;; presmerovani chybove fce
;;
(setq old_err *error*
      *error* ukaz_err
      ukaz_err_msg nil)
;;
;; nacteni dialogu
;;
  (setq dcl_id (load_dialog "ukaz.dcl"))
  (if (not (new_dialog "ukaz" dcl_id))
   (progn
    (setq ukaz_err_msg  "Chyba: ...Nenalezen dialog ukaz.")
    (exit)
   )
  )
;;
;; nastaveni hodnot a modu do dialogu
;;
     (set_tile "prvni" "0.5")
     (set_tile "druha" "0.1")
     (set_tile "treti" "0.2")
     (mode_tile "treti" 1)
;;
;; obsluha aktivit
;;
   (action_tile "dve"
       "(mode_tile \"treti\" 1) ")
   (action_tile "tri"
       "(mode_tile \"treti\" 0) ")
   (action_tile "cancel"
                "(setq ukaz_err_msg \"Stisknuto zrusit...\")
                 (done dialog)
                 (exit)
                "
   )
   (action_tile "accept"
          (strcat
                "(setq pr (get_tile \"prvni\"))"
                "(setq dr (get_tile \"druha\"))"
                "(setq tr (get_tile \"treti\"))"
                "(setq test (get_tile \"tri\"))"
                "(done_dialog)"
          )
   )
   (start_dialog)
   (unload_dialog dcl_id)
;;
;; kontrolni tisk zadanych hodnot
;;
   (print pr)
   (print dr)
   (if (= test "1")
          (print tr)
   )
;;
;; navrat chybove fce
;;
(setq *error* old_err)
(princ)
)

(defun ukaz_err (msg)
;;
;; Jednoducha chybova obsluha
;;

  (setq *error* old_err)
  (print ukaz_err_msg)
  (princ (strcat "\nPreruseni ve fci ukaz: " msg))
  (princ)
)
